
QGIS Application - Bug report #16294

Crash dumped: Minidump Written to C...

2017-03-06 05:33 AM - Louw Muller

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24204

Description

_I hope I am submitting to the right place - it's been hectic trying to get to reporting an issue.

Well, here it is: _

Adding a map in composer and "lowering" the map below other items causes a crash.  Dump file attached.

Is this happening to other users as well?

QGIS 2.18.3

Thanks

Louw

History

#1 - 2017-03-06 05:37 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi,

can you please:

specify the platform

specify the category (are we speaking of the print composer?)

specify the steps to replicate

does it happens with any project, or just a specific one (which datasources then)?

Can you attach a sample project with data?

Have you tried starting QGIS with clean configs and no 3rd party plugin?

thanks!

#2 - 2017-03-06 06:05 AM - Louw Muller

- Assignee set to Giovanni Manghi
Thanks for the quick feedback!

My responses below based on information requested

1.  specify the platform:  QGIS 2.18.3 Desktop

2.  specify the category (are we speaking of the print composer?): Yes, print composer

3.  specify the steps to replicate:  

3.1  Add Map to composer layout

3.2  Select map

3.3  Under Layout tab - Select Lower

3.4  Minidump is created

4.  does it happens with any project, or just a specific one (which datasources then)?:  Two projects in the past two weeks.  I tried to identify any constant

patterns between the two projects (e.g. location of files, type of files, etc.) but could not find any related issues.  But with other projects, the issue has not

come up yet.

5.  Can you attach a sample project with data?:  Applicable datasets are unfortunately too large to attach...

6.  Have you tried starting QGIS with clean configs and no 3rd party plugin?:  No, not yet.  Please elaborate on this.  The only plugins that I have are from

the official QGIS repository.

I hope this clarifies the issue better.

Regards

#3 - 2017-03-06 06:43 AM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

- Category set to Map Composer/Printing

Louw Muller wrote:

Thanks for the quick feedback!

My responses below based on information requested

1.  specify the platform:  QGIS 2.18.3 Desktop

Windows, Linux, Mac?

can you try 2.18.4?

4.  does it happens with any project, or just a specific one (which datasources then)?:  Two projects in the past two weeks.  I tried to identify any

constant patterns between the two projects (e.g. location of files, type of files, etc.) but could not find any related issues.  But with other projects, the

issue has not come up yet.

5.  Can you attach a sample project with data?:  Applicable datasets are unfortunately too large to attach.

without sample data, and as the pattern (if there is one) is not easy to recognize it will be very difficult to pinpoint the issue.

6.  Have you tried starting QGIS with clean configs and no 3rd party plugin?:  No, not yet.  Please elaborate on this.  The only plugins that I have are

from the official QGIS repository.
the plugins in the official repo are still 3rd party, so without any garauntee that they work ok or do not cause any problem, and sometimes they do.

Please (backup and) remove the .qgis2 folder, then restart qgis and try again.

thanks!

#4 - 2017-04-29 05:36 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Resolution set to not reproducable

- Priority changed from Normal to High

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
